## liquidsoap 2.1.3

=== Makefile ===
-include Makefile.defs

DISTFILES = \
	CHANGES CHANGES.md COPYING README README.md \
	bootstrap configure.ac configure config.sub config.guess m4 \
	Makefile Makefile.defs.in install-sh \
	liquidsoap.opam $(wildcard libs/*liq) scripts

all:
	$(MAKE) -C src $@

clean:
	$(MAKE) -C src $@
	$(MAKE) -C doc $@
	$(MAKE) -C tests $@

doc:
	if [ "$(OS_TYPE)" = "Win32" ]; then \
	  echo "Building documentation is currently not working on windows, skipping..."; \
        else \
	  $(MAKE) -C src $@; \
	  $(MAKE) -C doc $@; \
	fi

configure: configure.ac install-sh
	./bootstrap
	./configure-with-options || ./configure

distclean:
	rm -f Makefile.defs
	rm -rf config.log config.status autom4te.cache src/configure.ml scripts/liquidsoap.logrotate liquidsoap.config $(DISTDIR) $(DISTDIR).tar.bz2

test:
	@$(MAKE) -C src/test $@
	@$(MAKE) -C tests $@

.PHONY: clean test distclean doc finish-configure

finish-configure:
ifneq ($(CUSTOM_PATH),yes)
	@echo let rundir = \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
	@echo let logdir = \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
	@echo let liq_libs_dir = \"$(liq_libs_dir)/libs\" >> src/configure.ml
	@echo let bin_dir = \"$(liq_libs_dir)/bin\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<sysrundir\>\" \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<syslogdir\>\" \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
else
	@echo let rundir = get_dir \"run\" >> src/configure.ml
	@echo let logdir = get_dir \"logs\" >> src/configure.ml
	@echo let liq_libs_dir = get_dir \"libs\" >> src/configure.ml
	@echo let bin_dir = get_dir \".\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<sysrundir\>\" \".\" >> src/configure.ml
	@echo let \(\) = add_subst \"\<syslogdir\>\" \".\" >> src/configure.ml
endif
	@echo let restart = ref false >> src/configure.ml
	@echo let display_types = ref false >> src/configure.ml
	@echo let exe_ext = \"$(EXEEXT)\" >> src/configure.ml
	@echo "let vendor = \
                  Printf.sprintf \"Liquidsoap/%s (%s; OCaml %s)\" \
                     version Sys.os_type Sys.ocaml_version" >> src/configure.ml
	@echo "let () = Printexc.record_backtrace true" >> src/configure.ml
	@echo "let path = \
          let s = try Sys.getenv \"PATH\" with Not_found -> \"\" in \
          bin_dir :: (Str.split (Str.regexp_string \":\") s)" >> src/configure.ml
	@echo Creating scripts/liquidsoap.logrotate
	@cat scripts/liquidsoap.logrotate.in | \
	  sed -e s:@localstatedir@:$(localstatedir): > scripts/liquidsoap.logrotate

.PHONY: doc-install api-doc-install
doc-install: doc
	if [ "$(OS_TYPE)" != "Win32" ]; then \
	  $(MAKE) -C doc $@; \
	fi
api-doc-install:
	$(V)echo "Installing developer documentation..."
	$(V)$(INSTALL) -d $(datadir)/doc/$(DISTDIR)/api
	$(V)for doc in $(wildcard autodoc/liquidsoap/*.html autodoc/liquidsoap/*.css) ;\
	do $(INSTALL_DATA) $$doc $(datadir)/doc/$(DISTDIR)/api ; \
	done

# user and group are defined in Makefile.defs, written by configure.
.PHONY: install dist print-tarball-filename tarball
install: doc-install
	$(MAKE) -C src $@
ifeq ($(INSTALL_DAEMON),yes)
	$(INSTALL_DIRECTORY) -o ${user} -g ${group} -m 2775 ${localstatedir}/log/liquidsoap
	$(INSTALL_DIRECTORY) -o ${user} -g ${group} -m 2775 ${localstatedir}/run/liquidsoap
endif
	$(INSTALL_DIRECTORY) $(bindir)
	$(INSTALL_DIRECTORY) $(liq_libs_dir)/bin
	$(INSTALL_DIRECTORY) $(liq_libs_dir)/libs
	$(INSTALL_PROGRAM) scripts/extract-replaygain $(liq_libs_dir)/bin
	find libs | grep '\.liq$$' | while read l; do \
	  $(INSTALL_DATA) $$l $(liq_libs_dir)/libs ; \
	done
	$(INSTALL_DIRECTORY) ${sysconfdir}/liquidsoap
	$(INSTALL_DIRECTORY) ${sysconfdir}/logrotate.d
	$(INSTALL_DATA) scripts/liquidsoap.logrotate ${sysconfdir}/logrotate.d/liquidsoap
	-$(INSTALL_DIRECTORY) ${bashcompdir}
	-$(INSTALL_DATA) scripts/bash-completion ${bashcompdir}/liquidsoap
	$(INSTALL_DIRECTORY) ${emacsdir}
	$(INSTALL_DATA) scripts/liquidsoap-mode.el ${emacsdir}/

dist:
	rm -rf $(DISTDIR)
	mkdir $(DISTDIR)
	rsync -amRr $(DISTFILES) $(DISTDIR)
	$(MAKE) -C src DISTDIR=../$(DISTDIR) $@
	$(MAKE) -C doc DISTDIR=../$(DISTDIR) $@
	$(MAKE) -C tests DISTDIR=../$(DISTDIR) $@

print-tarball-filename:
	@printf $(DISTDIR).tar.bz2

tarball: dist
	tar cjf $(DISTDIR).tar.bz2 $(DISTDIR)
	rm -rf $(DISTDIR)

=== doc/Makefile ===
SUBDIRS = content
DISTFILES = \
	liquidsoap.1.md.in liquidsoap.1.md Makefile template.html snippet.html conf.py index.rst language.dtd liquidsoap.xml \
	orig $(wildcard content/*.md) $(wildcard content/*.md.in)
DISTDIRS = orig
LIQUIDSOAP = ../src/liquidsoap$(EXEEXT)
PANDOC_SYNTAX = $(PANDOC) --syntax-definition=liquidsoap.xml --highlight=pygments

MD = $(wildcard content/*.md) content/protocols.md content/reference.md content/reference-extras.md content/settings.md
HTML = $(addprefix html/,$(notdir $(MD:.md=.html)))
PDF = $(addprefix pdf/,$(notdir $(MD:.md=.pdf)))

include ../Makefile.defs

doc:
	@if [ "z$(PANDOC)" = "z" ]; then \
	  echo "No pandoc detected, skipping documentation generation..."; \
	else \
	  $(MAKE) md man html; \
	fi

md: $(MD)

html: $(HTML)

pdf: $(PDF)

man: liquidsoap.1

clean:
	rm -rf html pdf liquidsoap.1 content/reference.md content/reference-extras.md content/protocols.md content/settings.md

liquidsoap.1: liquidsoap.1.md
	@echo "Generating $(@)..."
	@$(PANDOC) -s -t man $< -o $@

html/%.html: content/%.md template.html language.dtd
	@echo Converting $(<) to $(@)...
	@test -d html || (mkdir -p html/scripts ; cp -RfL orig/* html)
	@rm -rf html/css
	@$(PANDOC_SYNTAX) $< --metadata pagetitle="`basename '$<'`" --template=template.html -o $@

pdf/%.pdf: content/%.md language.dtd
	@mkdir -p pdf
	@echo Converting $(<) to $(@)...
	@$(PANDOC_SYNTAX) $< -o $@

content/protocols.md: $(LIQUIDSOAP)
	PAGER=none $(LIQUIDSOAP) --no-stdlib ../libs/stdlib.liq --list-protocols-md > $@

content/reference.md: $(LIQUIDSOAP)
	PAGER=none $(LIQUIDSOAP) --no-stdlib ../libs/stdlib.liq --list-functions-md > $@

content/reference-extras.md: $(LIQUIDSOAP)
	PAGER=none $(LIQUIDSOAP) --no-stdlib ../libs/stdlib.liq --list-extra-functions-md > $@

content/settings.md: $(LIQUIDSOAP)
	PAGER=none $(LIQUIDSOAP) --no-stdlib ../libs/stdlib.liq --list-settings > $@

VERSION="`$(LIQUIDSOAP) --version | head -n 1`"

doc-install: doc
	$(INSTALL) -d $(datadir)/doc/liquidsoap/html
	if [ -f html/index.html ] ; then \
	  cp -RfL html/* $(datadir)/doc/liquidsoap/html ; \
        fi
	if [ -f liquidsoap.1 ] ; then \
	  $(INSTALL) -d $(mandir)/man1 ; \
	  $(INSTALL_DATA) liquidsoap.1 $(mandir)/man1 ; \
	fi

$(LIQUIDSOAP):
	@echo "Liquidsoap does not seem to be built. You have to build it before."
	@echo "Go to the toplevel and type 'make'"
	@exit 1

language.dtd:
	curl https://raw.githubusercontent.com/jgm/highlighting-kate/master/xml/language.dtd -o $@

dist:
	mkdir $(DISTDIR)/doc
	rsync -amR $(DISTFILES) $(DISTDIR)/doc/

############ SPHINX DOC #########################

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

sphinx-html:
	@$(SPHINXBUILD) -M html "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
# %: Makefile md
#	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: md doc upload all-subdirs

=== src/Makefile ===
INCDIRS = builtins conversions converters decoder encoder encoder_formats harbor io lang lang_encoders ogg_formats operators outputs protocols sources stream tools $(if $(W_CAMOMILE),,tools/metadata/no-camomile) tools/metadata

liquidsoap_c_files = \
	tools/unix_c.c \
	$(if $(W_OSS),io/oss_io_c.c)

ogg_demuxer = \
	$(if $(W_SPEEX),ogg_formats/liq_speex_decoder.ml) \
	$(if $(W_VORBIS),ogg_formats/liq_vorbis_decoder.ml) \
	$(if $(W_OPUS),ogg_formats/liq_opus_decoder.ml) \
	$(if $(W_THEORA),ogg_formats/liq_theora_decoder.ml) \
	$(if $(W_FLAC_OGG),ogg_formats/liq_flac_ogg_decoder.ml)

ogg_muxer = \
	$(if $(W_OGG),ogg_formats/ogg_muxer.ml encoder/ogg_encoder.ml) \
	$(if $(W_SPEEX),ogg_formats/speex_encoder.ml) \
	$(if $(W_VORBIS),ogg_formats/vorbis_encoder.ml) \
	$(if $(W_OPUS),ogg_formats/opus_encoder.ml) \
	$(if $(W_THEORA),ogg_formats/theora_encoder.ml) \
	$(if $(W_FLAC_OGG),ogg_formats/ogg_flac_encoder.ml)

audio_converters = \
	converters/audio/native_audio_converter.ml \
	$(if $(W_SAMPLERATE),converters/audio/libsamplerate_converter.ml) \
	$(if $(W_FFMPEG),converters/audio/ffmpeg_audio_converter.ml)

video_converters = \
	converters/video/native_video_converter.ml \
	$(if $(W_FFMPEG),converters/video/ffmpeg_video_converter.ml)

text_decoders = \
	decoder/text/video_text_native.ml \
	$(if $(W_GD),decoder/text/video_text_gd.ml) \
	$(if $(W_SDL_TTF),decoder/text/video_text_sdl.ml) \
	$(if $(W_CAMLIMAGES_FREETYPE),decoder/text/video_text_camlimages.ml) \
	$(if $(W_GSTREAMER),decoder/text/video_text_gstreamer.ml)

ffmpeg_decoders = \
	decoder/ffmpeg_decoder_common.ml decoder/ffmpeg_internal_decoder.ml \
	decoder/ffmpeg_raw_decoder.ml decoder/ffmpeg_copy_decoder.ml \
	decoder/ffmpeg_decoder.ml decoder/image/ffmpeg_image_decoder.ml

decoders = \
	decoder/wav_aiff_decoder.ml decoder/midi_decoder.ml \
	decoder/image_decoder.ml decoder/image/ppm_decoder.ml \
	decoder/external_decoder.ml decoder/raw_audio_decoder.ml \
	decoder/srt_decoder.ml \
	$(text_decoders) \
	$(if $(W_FFMPEG),$(ffmpeg_decoders)) \
	$(if $(W_FLAC),decoder/liq_flac_decoder.ml) \
	$(if $(W_FAAD),decoder/aac_decoder.ml) \
	$(if $(W_OGG),decoder/liq_ogg_decoder.ml) \
	$(if $(W_MAD),decoder/mad_decoder.ml) \
	$(if $(W_VORBIS),decoder/vorbisduration.ml) \
	$(if $(W_FLAC),decoder/flacduration.ml) \
	$(if $(W_FLAC_OGG),decoder/ogg_flac_duration.ml) \
	$(if $(W_TAGLIB),decoder/taglib_plug.ml) \
        decoder/id3_plug.ml decoder/image_plug.ml decoder/video_plug.ml \
	$(if $(W_CAMLIMAGES),decoder/image/camlimages_decoder.ml) \
	$(if $(W_SDL_IMAGE),decoder/image/sdlimage_decoder.ml) \
	$(if $(W_GSTREAMER),decoder/gstreamer_decoder.ml)

playlists = \
	playlists/playlist_basic.ml \
	$(if $(W_XMLPLAYLIST),playlists/playlist_xml.ml)

protocols = \
	protocols/annotate.ml \
	protocols/mpd.ml

sources = \
	sources/synthesized.ml sources/noise.ml sources/blank.ml sources/debug_sources.ml \
	sources/audio_gen.ml sources/request_source.ml sources/latest_metadata.ml \
	sources/request_simple.ml sources/generated.ml sources/video_testsrc.ml sources/video_text.ml \
	harbor/harbor_base.ml harbor/harbor.ml sources/harbor_input.ml \
	$(if $(W_SSL),harbor/harbor_ssl.ml sources/harbor_input_ssl.ml) \
	$(if $(W_OSX_SECURE_TRANSPORT),harbor/harbor_secure_transport.ml sources/harbor_input_secure_transport.ml) \
        tools/external_input.ml sources/external_input_audio.ml sources/external_input_video.ml \
	tools/sandbox.ml \
	$(if $(W_BJACK),sources/bjack_in.ml) \
	$(if $(W_ALSA),sources/alsa_in.ml)

operators = \
	operators/insert_metadata.ml operators/map_metadata.ml \
	operators/on_end.ml operators/on_frame.ml operators/delay.ml \
	operators/on_track.ml operators/on_metadata.ml \
	operators/max_duration.ml operators/sequence.ml operators/add.ml \
	operators/switch.ml operators/cross.ml \
	operators/pitch.ml operators/pipe.ml operators/filter.ml \
	operators/fir_filter.ml operators/iir_filter.ml operators/filter_rc.ml \
	operators/biquad_filter.ml operators/cuepoint.ml \
	operators/map_op.ml operators/flanger.ml operators/comb.ml \
	operators/compress.ml operators/compress_old.ml operators/compress_exp.ml operators/clip.ml \
	operators/amplify.ml operators/normalize.ml operators/echo.ml operators/gate.ml \
	operators/append.ml operators/pan.ml operators/ms_stereo.ml \
	operators/dyn_op.ml operators/video_effects.ml operators/video_fade.ml \
	operators/noblank.ml operators/compand.ml operators/on_offset.ml \
	operators/prepend.ml operators/lufs.ml operators/available.ml \
	operators/midi_routing.ml operators/sleeper.ml \
	operators/time_warp.ml operators/resample.ml \
	operators/chord.ml operators/window_op.ml \
	operators/rms_smooth.ml operators/delay_line.ml \
	operators/accelerate.ml \
	operators/still_frame.ml operators/dtmf.ml \
	$(if $(W_SOUNDTOUCH),operators/soundtouch_op.ml) \
	$(if $(W_SOUNDTOUCH),operators/st_bpm.ml) \
	$(if $(W_LADSPA),operators/ladspa_op.ml) \
	$(if $(W_LILV),operators/lilv_op.ml) \
	$(if $(W_FREI0R),operators/frei0r_op.ml)

conversions = \
	conversions/conversion.ml conversions/audio_to_stereo.ml conversions/drop.ml \
	conversions/swap.ml conversions/mean.ml conversions/mux.ml

encoders = \
	encoder/wav_encoder.ml \
	encoder/avi_encoder.ml \
	encoder/lame_encoder.ml \
	encoder/fdkaac_encoder.ml \
	encoder/external_encoder.ml \
	$(if $(W_LAME_DYN),encoder/lame_encoder_dynlink.ml) \
	$(if $(W_FDKAAC_DYN),encoder/fdkaac_encoder_dynlink.ml) \
	$(if $(W_SHINE),encoder/shine_encoder.ml) \
	$(if $(W_LAME),encoder/lame_encoder_builtin.ml) \
	$(if $(W_FLAC),encoder/flac_encoder.ml) \
        $(if $(W_FFMPEG),encoder/ffmpeg_encoder_common.ml encoder/ffmpeg_internal_encoder.ml encoder/ffmpeg_copy_encoder.ml encoder/ffmpeg_encoder.ml) \
	$(if $(W_FDKAAC),encoder/fdkaac_encoder_builtin.ml) \
	$(if $(W_TAGLIB),encoder/taglib_id3v2.ml) \
	$(if $(W_GSTREAMER),encoder/gstreamer_encoder.ml)

lang_encoders = \
	lang_encoders/lang_avi.ml lang_encoders/lang_external_encoder.ml lang_encoders/lang_fdkaac.ml \
	lang_encoders/lang_ffmpeg.ml $(if $(W_FFMPEG),lang_encoders/lang_ffmpeg_opt.ml) \
	lang_encoders/lang_flac.ml lang_encoders/lang_gstreamer.ml \
	lang_encoders/lang_mp3.ml lang_encoders/lang_opus.ml lang_encoders/lang_shine.ml \
	lang_encoders/lang_speex.ml lang_encoders/lang_theora.ml lang_encoders/lang_vorbis.ml \
	lang_encoders/lang_wav.ml lang_encoders/lang_ogg.ml

encoder_formats = \
	encoder_formats.ml \
	encoder_formats/meta_format.ml \
	encoder_formats/avi_format.ml \
	encoder_formats/external_encoder_format.ml \
	encoder_formats/fdkaac_format.ml \
	encoder_formats/flac_format.ml \
	encoder_formats/ffmpeg_format.ml \
	encoder_formats/gstreamer_format.ml \
	encoder_formats/mp3_format.ml \
	encoder_formats/opus_format.ml \
	encoder_formats/shine_format.ml \
	encoder_formats/speex_format.ml \
	encoder_formats/theora_format.ml \
	encoder_formats/vorbis_format.ml \
	encoder_formats/ogg_format.ml \
	encoder_formats/wav_format.ml

outputs = \
	outputs/output.ml \
	outputs/pipe_output.ml outputs/hls_output.ml \
	outputs/harbor_output.ml \
	$(if $(W_SSL),outputs/harbor_output_ssl.ml) \
	$(if $(W_OSX_SECURE_TRANSPORT),outputs/harbor_output_secure_transport.ml) \
	$(if $(W_AO),outputs/ao_out.ml) \
	$(if $(W_CRY),outputs/icecast2.ml) \
	$(if $(W_GRAPHICS),outputs/graphics_out.ml) \
	$(if $(W_BJACK),outputs/bjack_out.ml) \
	$(if $(W_SDL),outputs/sdl_out.ml) \
	$(if $(W_ALSA),outputs/alsa_out.ml)

io = \
	io/udp_io.ml \
	$(if $(W_SRT),io/srt_io.ml) \
	$(if $(W_OSS),io/oss_io.ml) \
	$(if $(W_PULSEAUDIO),io/pulseaudio_io.ml) \
	$(if $(W_PORTAUDIO),io/portaudio_io.ml) \
	$(if $(W_ALSA),io/alsa_io.ml) \
	$(if $(W_GSTREAMER),io/gstreamer_io.ml) \
	$(if $(W_FFMPEG),io/ffmpeg_filter_io.ml) \
	$(if $(W_FFMPEG),io/ffmpeg_io.ml)

tools_metadata = \
	$(if $(W_CAMOMILE),tools/metadata/metadataCharEncoding.ml,tools/metadata/no-camomile/metadataCharEncoding.ml) \
	tools/metadata/metadataBase.ml \
	tools/metadata/metadataID3v1.ml tools/metadata/metadataID3v2.ml \
	tools/metadata/metadataJPEG.ml tools/metadata/metadataPNG.ml \
	tools/metadata/metadataAVI.ml tools/metadata/metadataMP4.ml \
	tools/metadata/metadata.ml

tools = \
	tools/log.ml tools/pos.ml \
	tools/extralib.ml tools/lifecycle.ml \
	tools/stringView.ml tools/strings.ml tools/utils.ml \
	tools/runtime_error.ml tools/extra_args.ml \
	tools/json_base.ml tools/json_parser.ml tools/json_lexer.ml tools/json.ml \
        tools/doc.ml tools/plug.ml \
	tools/rqueue.ml tools/unifier.ml \
	$(if $(W_FFMPEG),tools/liqavdevice.ml) \
	$(if $(W_LAME_DYN),tools/lame_dynlink.ml) \
	$(if $(W_FDKAAC_DYN),tools/fdkaac_dynlink.ml) \
	tools/wav_aiff.ml tools/tutils.ml \
	tools/file_watcher.ml tools/file_watcher_mtime.ml \
	$(if $(W_DYNLINK),tools/dyntools.ml) \
	configure.ml tools/console.ml tools/process_handler.ml \
	tools/http.ml tools/srt_parser.ml \
	$(tools_metadata) \
        $(if $(W_MEMTRACE),tools/liqmemtrace.ml) \
	tools/liqcurl.ml \
	$(if $(W_SSL),tools/https.ml) \
	$(if $(W_OSX_SECURE_TRANSPORT),tools/https_secure_transport.ml) \
	tools/pool.ml tools/sha1.ml tools/websocket.ml \
	$(if $(W_INOTIFY),tools/file_watcher_inotify.ml) \
	$(if $(W_PROMETHEUS),tools/liq_prometheus.ml)

stream = \
	stream/frame_settings.ml stream/content.ml \
        stream/frame.ml stream/aFrame.ml stream/vFrame.ml stream/mFrame.ml \
        stream/generator.ml stream/kind.ml \
        $(if $(W_FFMPEG), tools/ffmpeg_utils.ml stream/ffmpeg_content_base.ml stream/ffmpeg_copy_content.ml stream/ffmpeg_raw_content.ml) \
        $(if $(W_GSTREAMER),tools/gstreamer_utils.ml)

visualization = \
	visualization/midimeter.ml \
	visualization/video_volume.ml \
	$(if $(W_GRAPHICS),visualization/vis_volume.ml)

synth = synth/keyboard.ml synth/synth_op.ml \
	$(if $(W_DSSI),synth/dssi_op.ml) \
	$(if $(W_SDL),synth/keyboard_sdl.ml)

builtins = \
	builtins/builtins_lang.ml builtins/builtins_runtime.ml \
	builtins/builtins_ref.ml builtins/builtins_socket.ml \
        builtins/builtins_bool.ml builtins/builtins_list.ml \
        builtins/builtins_string.ml builtins/builtins_regexp.ml \
        builtins/builtins_json.ml \
        builtins/builtins_null.ml builtins/builtins_settings.ml \
        builtins/builtins_time.ml builtins/builtins_callbacks.ml \
        builtins/builtins_server.ml builtins/builtins_math.ml \
	builtins/builtins_files.ml builtins/builtins_resolvers.ml \
        builtins/builtins_thread.ml builtins/builtins_process.ml \
        builtins/builtins_source.ml builtins/builtins_getter.ml \
        builtins/builtins_profiler.ml builtins/builtins_eval.ml \
	builtins/builtins_http.ml \
        builtins/builtins_harbor.ml \
        $(if $(W_SSL),builtins/builtins_harbor_ssl.ml) \
        $(if $(W_OSX_SECURE_TRANSPORT),builtins/builtins_harbor_secure_transport.ml) \
        $(if $(W_LO),builtins/builtins_lo.ml) \
        $(if $(W_MAGIC),builtins/builtins_magic.ml) \
        $(if $(W_CRY),builtins/builtins_cry.ml) \
        $(if $(W_LASTFM),builtins/builtins_lastfm.ml) \
        $(if $(W_PROMETHEUS),builtins/builtins_prometheus.ml) \
        builtins/builtins_ffmpeg_base.ml \
        $(if $(W_FFMPEG),builtins/builtins_ffmpeg_encoder.ml builtins/builtins_ffmpeg_decoder.ml builtins/builtins_ffmpeg_filters.ml builtins/builtins_ffmpeg_bitstream_filters.ml) \
	$(if $(W_IRC),builtins/builtins_irc.ml) \
	$(if $(W_MEM_USAGE),builtins/builtins_mem_usage.ml)

liquidsoap_sources = \
	$(tools) converters/audio_converter.ml $(stream) \
	$(if $(W_FFMPEG),tools/ffmpeg_avfilter_utils.ml) \
        converters/video_converter.ml \
	decoder/decoder_utils.ml decoder/decoder.ml \
        tools/liq_time.ml $(if $(W_POSIX_TIME2),tools/liq_posix_time.ml) \
        request.ml tools/server.ml \
        source.ml clock.ml playlist_parser.ml \
	$(encoder_formats) encoder.ml \
	tools/server_builtins.ml \
	$(if $(W_SDL),tools/sdl_utils.ml) \
	$(if $(W_LASTFM),tools/liqfm.ml) \
	$(if $(W_ALSA), alsa_settings.ml)

liquidsoap_sources += \
	lang/type.ml lang/repr.ml lang/typing.ml \
	lang/profiler.ml lang/term.ml lang/value.ml \

=== tests/Makefile ===
test:
	@$(MAKE) -C language $@
	@$(MAKE) -C streams $@
	@$(MAKE) -C media $@
	@$(MAKE) -C regression $@
	@echo
	@echo
	@$(MAKE) -C performance $@

clean:
	$(MAKE) -C media $@
	$(MAKE) -C streams $@

DISTFILES = \
	Makefile $(wildcard *.sh) $(wildcard *.liq) $(wildcard *.pl) \
	$(wildcard fixme/*.liq) \
	media/Makefile $(wildcard media/*.sh) $(wildcard media/*.liq media/*.liq.in media/*.json) \
	language/Makefile $(wildcard language/*.liq) \
	regression/Makefile $(wildcard regression/*.liq) \
	performance/Makefile $(wildcard performance/*.liq) \
	streams/Makefile $(wildcard streams/*.liq)

dist:
	mkdir $(DISTDIR)/tests
	rsync -amR $(DISTFILES) $(DISTDIR)/tests

.PHONY: test

=== tests/language/Makefile ===
LIQ = $(sort $(wildcard *.liq))
TESTS = $(filter-out test, $(basename $(LIQ)))

test: $(TESTS) type_errors

%: %.liq
	@../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq -" language/$<

type_errors: type_errors.pl
	@../run_test.sh /usr/bin/perl language/$<

.PHONY: test type_errors

=== tests/media/Makefile ===
.PHONY: test_encoder test_stereo test_mono test_stream_audio test_stream_video test_ffmpeg_filter test_ffmpeg_audio_decoder test_ffmpeg_video_decoder test_ffmpeg_copy_decoder test_ffmpeg_copy_and_encode_decoder test_ffmpeg_raw_decoder test_ffmpeg_raw_and_encode_decoder test_ffmpeg_raw_and_copy_decoder test_ffmpeg_copy_concat test_video_size

.NOTPARALLEL: test_ffmpeg_audio_decoder test_ffmpeg_video_decoder test_ffmpeg_copy_decoder test_ffmpeg_copy_and_encode_decoder test_ffmpeg_raw_decoder test_ffmpeg_raw_and_encode_decoder test_ffmpeg_raw_and_copy_decoder test_video_size

test: test_encoder test_stereo test_mono test_ffmpeg_audio_decoder test_ffmpeg_video_decoder test_ffmpeg_filter test_ffmpeg_copy_decoder test_ffmpeg_copy_and_encode_decoder test_ffmpeg_raw_decoder test_ffmpeg_raw_and_encode_decoder test_ffmpeg_raw_and_copy_decoder test_ffmpeg_raw_hls test_ffmpeg_inline_encode_decode_audio test_ffmpeg_inline_encode_decode_video test_ffmpeg_inline_encode_decode test_ffmpeg_distributed_hls test_ffmpeg_copy_concat test_video_size test_ffmpeg_transparency_filter # test_stream_audio test_stream_video

AUDIO_TEST_FORMATS = \
  @flac(stereo).flac \
  @flac(mono).flac \
  @wav(stereo).wav \
  @wav(mono).wav \
  @mp3(mono).mp3 \
  @mp3(stereo).mp3 \
  @ogg(@vorbis(mono)).ogg \
  @ogg(@vorbis(stereo)).ogg \
  @ogg(@flac(mono)).ogg \
  @ogg(@flac(stereo)).ogg \
  @ogg(@opus(mono)).ogg \
  @ogg(@opus(stereo)).ogg \
  @ffmpeg(format=\"mp4\",@audio(codec=\"aac\"),@videoDOTnone).mp4

# TODO: fix speex or officially deprecate it?
#  @ogg(@speex(mono)).ogg \
#  @ogg(@speex(stereo)).ogg

AUDIO_VIDEO_TEST_FORMATS = \
  @ffmpeg(format=\"mp4\",@audio(codec=\"aac\",channels=1),@video(codec=\"libx264\")).mp4 \
  @ffmpeg(format=\"mp4\",@audio(codec=\"aac\",channels=2),@video(codec=\"libx264\")).mp4

VIDEO_ONLY_TEST_FORMATS = \
  @ffmpeg(format=\"mp4\",@audioDOTnone,@video(codec=\"libx264\")).mp4

VIDEO_TEST_FORMATS = $(AUDIO_VIDEO_TEST_FORMATS) $(AUDIO_ONLY_TEST_FORMATS) $(VIDEO_ONLY_TEST_FORMATS)

ENCODED_AUDIO_FILES=$(AUDIO_TEST_FORMATS:%=files/audio/%)

ENCODED_AUDIO_VIDEO_FILES=$(AUDIO_VIDEO_TEST_FORMATS:%=files/video/%)

ENCODED_VIDEO_FILES=$(VIDEO_TEST_FORMATS:%=files/video/%)

ENCODED_FILES=$(ENCODED_AUDIO_FILES) $(ENCODED_VIDEO_FILES)

$(ENCODED_FILES): ENCODER = $(subst @,%,$(word 1,$(subst ., ,$*)))

define generate_audio
	@$(eval PREFIX := $(shell /bin/bash -c "echo $$RANDOM"))
        @./mk_encoder_test.sh "$1" sine $(PREFIX)
        @../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq - -- $2" media/files/$(PREFIX)/test_encoder.liq "$1 encoder" || exit
endef

define generate_video
	@$(eval PREFIX := $(shell /bin/bash -c "echo $$RANDOM"))
        @./mk_encoder_test.sh "$1" noise $(PREFIX)
        @../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq - -- $2" media/files/$(PREFIX)/test_encoder.liq "$1 encoder" || exit
endef

test_encoder: files/audio files/video $(ENCODED_FILES)

files/audio:
	@mkdir -p $@

files/video:
	@mkdir -p $@

files/audio/%: ../../src/liquidsoap
	$(call generate_audio,$(ENCODER),$@)

files/video/%: ../../src/liquidsoap
	$(call generate_video,$(ENCODER),$@)

test_mono: $(ENCODED_AUDIO_FILES) ../../src/liquidsoap
	@for i in $(ENCODED_AUDIO_FILES:%="%"); do \
	  if echo $$i | grep -v 'ffmpeg' > /dev/null 2>&1; then \
	    ../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq - -- $$i" media/test_mono.liq "Mono decoding test for $$i" || exit; \
	  fi \
	done

test_stereo: $(ENCODED_AUDIO_FILES) ../../src/liquidsoap
	@for i in $(ENCODED_AUDIO_FILES:%="%"); do \
	  if echo $$i | grep -v 'ffmpeg' > /dev/null 2>&1; then \
	    ../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq - -- $$i" media/test_stereo.liq "Stereo decoding test for $$i" || exit; \
	  fi \
	done

test_ffmpeg_filter: $(ENCODED_AUDIO_VIDEO_FILES) ../../src/liquidsoap
	@for i in $(ENCODED_AUDIO_VIDEO_FILES:%="%"); do \
	../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq - -- $<" media/test_ffmpeg_filter.liq "FFmpeg filter test for $$i" || exit; \
	done

test_ffmpeg_add_text: $(ENCODED_AUDIO_VIDEO_FILES) ../../src/liquidsoap
	@for i in $(ENCODED_AUDIO_VIDEO_FILES:%="%"); do \
	../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq - -- $<" media/test_ffmpeg_add_text.liq "FFmpeg add text filter test for $$i" || exit; \
	done

test_ffmpeg_audio_decoder: $(ENCODED_AUDIO_FILES) ../../src/liquidsoap
	@for i in $(ENCODED_AUDIO_FILES:%="%"); do \
	  ../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq - -- $$i" media/test_ffmpeg_audio_decoder.liq "FFmpeg audio decoder test for $$i" || exit; \
	done

test_ffmpeg_video_decoder: $(ENCODED_VIDEO_FILES) ../../src/liquidsoap
	@for i in $(ENCODED_VIDEO_FILES:%="%"); do \
	  ../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq - -- $$i" media/test_ffmpeg_video_decoder.liq "FFmpeg video decoder test for $$i" || exit; \
	done

test_video_size: $(ENCODED_VIDEO_FILES) ../../src/liquidsoap
	@for i in $(ENCODED_VIDEO_FILES:%="%"); do \
	  ../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq - -- $$i" media/test_video_size.liq "FFmpeg video decoder test for $$i" || exit; \
	done

test_ffmpeg_copy_decoder: $(ENCODED_AUDIO_VIDEO_FILES) ../../src/liquidsoap
	@for i in $(ENCODED_AUDIO_VIDEO_FILES:%="%"); do \
	  ../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq - -- $$i" media/test_ffmpeg_copy_decoder.liq "FFmpeg copy decoder test for $$i" || exit; \
	done

test_ffmpeg_copy_and_encode_decoder: $(ENCODED_AUDIO_VIDEO_FILES) ../../src/liquidsoap
	@for i in $(ENCODED_AUDIO_VIDEO_FILES:%="%"); do \
	  ../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq - -- $$i" media/test_ffmpeg_copy_and_encode_decoder.liq "FFmpeg copy+encode decoder test for $$i" || exit; \
	done

test_ffmpeg_raw_decoder: $(ENCODED_AUDIO_VIDEO_FILES) ../../src/liquidsoap
	@for i in $(ENCODED_AUDIO_VIDEO_FILES:%="%"); do \
	  ../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq - -- $$i" media/test_ffmpeg_raw_decoder.liq "FFmpeg raw decoder test for $$i" || exit; \
	done

test_ffmpeg_raw_and_encode_decoder: $(ENCODED_AUDIO_VIDEO_FILES) ../../src/liquidsoap
	@for i in $(ENCODED_AUDIO_VIDEO_FILES:%="%"); do \
	  ../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq - -- $$i" media/test_ffmpeg_raw_and_encode_decoder.liq "FFmpeg raw+encode decoder test for $$i" || exit; \
	done

test_ffmpeg_raw_and_copy_decoder: $(ENCODED_AUDIO_VIDEO_FILES) ../../src/liquidsoap
	@for i in $(ENCODED_AUDIO_VIDEO_FILES:%="%"); do \
	  ../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq - -- $$i" media/test_ffmpeg_raw_and_copy_decoder.liq "FFmpeg raw+copy decoder test for $$i" || exit; \
	done

test_ffmpeg_inline_encode_decode:
	@../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq -" media/test_ffmpeg_inline_encode_decode.liq

test_ffmpeg_inline_encode_decode_audio:
	@../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq -" media/test_ffmpeg_inline_encode_decode_audio.liq

test_ffmpeg_inline_encode_decode_video:
	@../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq -" media/test_ffmpeg_inline_encode_decode_video.liq

test_ffmpeg_distributed_hls:
	@../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq -" media/test_ffmpeg_distributed_hls.liq

test_ffmpeg_raw_hls:
	@../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq -" media/test_ffmpeg_raw_hls.liq

test_taglib: files/audio/@mp3(mono).mp3
	@../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq -"  media/test_taglib.liq

files/ffmpeg_copy_concat/first-concat.mp4:
	mkdir -p files/ffmpeg_copy_concat
	ffmpeg -f lavfi -i testsrc=duration=20:size=1280x720:rate=30 -vf 'setpts=N+1235' $@

files/ffmpeg_copy_concat/second-concat.mp4:
	mkdir -p files/ffmpeg_copy_concat
	ffmpeg -f lavfi -i testsrc=duration=30:size=1280x720:rate=30 -vf 'setpts=N+756' $@

files/ffmpeg_copy_concat/third-concat.mp4:
	mkdir -p files/ffmpeg_copy_concat
	ffmpeg -f lavfi -i testsrc=duration=10:size=1280x720:rate=30 -vf 'setpts=N+245' $@

test_ffmpeg_copy_concat: files/ffmpeg_copy_concat/first-concat.mp4 files/ffmpeg_copy_concat/second-concat.mp4 files/ffmpeg_copy_concat/third-concat.mp4
	@../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq -" media/test_ffmpeg_copy_concat.liq

test_ffmpeg_complex_filter: files/audio/@mp3(stereo).mp3 files/audio/@mp3(mono).mp3
	 @../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq -"  media/test_ffmpeg_complex_filter.liq

clean:
	rm -rf files/

files/background.jpg:
	@mkdir -p files
	ffmpeg -f lavfi -i testsrc=size=1280x720 -t 1 -f mjpeg $@

files/logo.png:
	@mkdir -p files
	ffmpeg -f lavfi -i testsrc=size=50x50 -t 1 -f mjpeg $@

test_ffmpeg_transparency_filter: files/audio/@mp3(stereo).mp3 files/background.jpg files/logo.png
	@../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq -" media/test_ffmpeg_transparency_filter.liq

=== tests/performance/Makefile ===
LIQ = $(sort $(wildcard *.liq))
TESTS = $(filter-out performance, $(basename $(LIQ))) big-record

test: $(TESTS)

%: %.liq
	@../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq $<

big-record.liq:
	@echo "Generating big-record.liq..."
	@echo "#!../../src/liquidsoap ../../libs/stdlib.liq ../../libs/deprecations.liq --force-start" > $@
	@echo '%include "performance.liq"' >> $@
	@echo "def sum () =" >> $@
	@echo "r = ()" >> $@
	@for i in `seq 5000`; do echo "let r.a$$i = $$i"; done >> $@
	@echo "n = ref(0)" >> $@
	@for i in `seq 5000`; do echo "n := !n + r.a$$i"; done >> $@
	@echo "end" >> $@
	@echo 'time("sum of fields (big record)", sum)' >> $@
	@echo "exit(0)" >> $@
	@chmod +x $@

perf:
	perf record --call-graph=dwarf -- ../../src/liquidsoap ../../libs/stdlib.liq ../../libs/deprecations.liq erathostenes.liq
	perf report

.PHONY: test

=== tests/regression/Makefile ===
.PHONY: test server_port

LIQ = $(sort $(wildcard *.liq))
TESTS = $(filter-out test, $(basename $(LIQ)))

test: server_port $(TESTS)

%: %.liq
	@../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq -" regression/$<

server_port:
	@../run_test.sh ./server_port.sh regression/server_port.sh

=== tests/streams/Makefile ===
LIQ = $(sort $(wildcard *.liq))
TESTS = $(filter-out test, $(basename $(LIQ)))

test: files $(TESTS)

files:
	mkdir -p files
	ffmpeg -f lavfi -i "sine=frequency=220:duration=5" -ac 2 files/file1.mp3
	ffmpeg -f lavfi -i "sine=frequency=440:duration=5" -ac 2 files/file2.mp3
	ffmpeg -f lavfi -i "sine=frequency=880:duration=5" -ac 2 files/file3.mp3
	ffmpeg -f lavfi -i "sine=frequency=220:duration=2" -ac 2 files/jingle1.mp3
	ffmpeg -f lavfi -i "sine=frequency=440:duration=2" -ac 2 files/jingle2.mp3
	ffmpeg -f lavfi -i "sine=frequency=880:duration=2" -ac 2 files/jingle3.mp3
	ffmpeg -f lavfi -i color=size=320x240:color=blue -vf "drawtext=fontsize=30:fontcolor=white:x=(w-text_w)/2:y=(h-text_h)/2:text='Test 1'" -frames:v 1 files/file1.png
	ffmpeg -f lavfi -i color=size=500x100:color=red -vf "drawtext=fontsize=30:fontcolor=white:x=(w-text_w)/2:y=(h-text_h)/2:text='Test 2'" -frames:v 1 files/file2.png
	echo "jingle1.mp3\njingle2.mp3\njingle3.mp3" > files/jingles
	echo "file1.mp3\nfile2.mp3\nfile3.mp3" > files/playlist
	for i in `seq 1 100000`; do echo "file$$i.mp3" >> files/huge_playlist; done

clean:
	rm -rf files

%: %.liq
	@../run_test.sh "../../src/liquidsoap --no-stdlib ../../libs/stdlib.liq -" streams/$<

.PHONY: test

=== debian/changelog ===
liquidsoap (2.1.3-2) unstable; urgency=medium

  * Refresh patches
  * Prevent large memory spikes loading remote content (Closes: #1033068)

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 28 Mar 2023 09:12:02 +0100

liquidsoap (2.1.3-1) unstable; urgency=medium

  * New upstream version 2.1.3
  * Drop patches fixed upstream
  * Build-dep on libcurl-ocaml-dev and liburi-ocaml-dev
  * Remove examples dropped upstream
  * Replace suggests youtube-dl with yt-dlp (Closes: #1024228)
  * Add new copyright information
  * Update language.dtd
  * Override source-is-missing lintian error
  * Update patches
  * Fix autopkgtests

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 19 Dec 2022 10:15:34 +0200

=== debian/control ===
Source: liquidsoap
Section: sound
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: chrpath,
               debhelper (>= 11),
               debhelper-compat (=13),
               dh-elpa,
               dh-ocaml (>= 1.0.1),
               festival,
               fonts-liberation,
               libalsa-ocaml-dev (>= 0.2.1) [linux-any],
               libao-ocaml-dev (>= 0.2.0),
               libbjack-ocaml-dev (>= 0.1.3),
               libcamlimages-ocaml-dev (>= 4.0.1-6),
               libcamomile-ocaml-dev (>= 1.0.0),
               libcry-ocaml-dev (>= 0.6.0),
               libcurl-ocaml-dev (>= 0.9.2),
               libdtools-ocaml-dev (>= 0.4.1),
               libduppy-ocaml-dev (>= 0.8.0),
               libfaad-ocaml-dev (>= 0.5.0),
               libffmpeg-ocaml-dev (>= 1.0.0),
               libflac-ocaml-dev (>= 0.3.0),
               libfrei0r-ocaml-dev (>= 0.1.0),
               libgavl-ocaml-dev (>= 0.1.4),
               libgd-ocaml-dev | libgd-gd2-noxpm-ocaml-dev,
               libgstreamer-ocaml-dev (>= 0.3.0),
               libinotify-ocaml-dev (>= 1.0) [linux-any],
               libladspa-ocaml-dev (>= 0.1.4),
               liblastfm-ocaml-dev (>= 0.3.0),
               liblo-ocaml-dev (>= 0.2.0),
               libmad-ocaml-dev (>= 0.1.4),
               libmagic-ocaml-dev (>= 0.6),
               libmenhir-ocaml-dev,
               libmm-ocaml-dev (>= 0.7.0),
               libmp3lame-ocaml-dev (>= 0.3.2),
               libogg-ocaml-dev (>= 0.7.0),
               libopus-ocaml-dev (>= 0.2.0),
               libpcre-ocaml-dev,
               libportaudio-ocaml-dev (>= 0.2.0),
               libpulse-ocaml-dev (>= 0.1.2),
               libsamplerate-ocaml-dev (>= 0.1.1),
               libsdl-ocaml-dev,
               libsedlex-ocaml-dev (>= 2.0),
               libshine-ocaml-dev (>= 0.2.0),
               libsoundtouch-ocaml-dev (>= 0.1.7),
               libspeex-ocaml-dev (>= 0.4.0),
               libssl-ocaml-dev (>= 0.5.2),
               libtaglib-ocaml-dev (>= 0.3.0),
               libtheora-ocaml-dev (>= 0.4.0),
               liburi-ocaml-dev,
               libvoaacenc-ocaml-dev,
               libvorbis-ocaml-dev (>= 0.8.0),
               libxml-dom-perl,
               libxmlplaylist-ocaml-dev (>= 0.1.3),
               libyojson-ocaml-dev,
               menhir,
               ocaml (>= 4.08),
               ocaml-findlib,
               pandoc,
               sox
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
Homepage: https://www.liquidsoap.info/

Package: liquidsoap
Architecture: any
Depends: adduser,
         curl,
         libcamomile-ocaml-data (>= 1.0.0),
         ocaml-base,
         sox,
         ${misc:Depends},
         ${ocaml:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: logrotate, vorbis-tools, vorbisgain
Suggests: festival, icecast2, mplayer, yt-dlp
Provides: ${ocaml:Provides}
Description: audio streaming language
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 Some of the typical uses are:
  * dynamically generating playlists depending on the time or other factors
  * having smooth transitions between songs
  * adding jingles periodically
  * applying effects on the sound like volume normalization
  * reencoding the stream at various qualities
  * remotely controlling the stream

Package: liquidsoap-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Suggests: liquidsoap
Enhances: emacs, emacs24, emacs25
Section: editors
Description: Emacs mode for editing Liquidsoap code
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides an (X)Emacs mode which makes it easier to edit
 Liquidsoap source code.

=== debian/watch ===
version=4
opts=compression=bz2 \
  https://github.com/savonet/liquidsoap/releases .*/v[\d.]+/liquidsoap.([\d.]+).tar.bz2

## liquidsoap 2.2.4

=== debian/changelog ===
liquidsoap (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4 (Closes: #1064128)
  * Drop gstreamer and lastfm support to fix build

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 21 Mar 2024 16:02:22 +0000

liquidsoap (2.2.3-1) unstable; urgency=medium

  * New upstream version 2.2.3

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 18 Jan 2024 13:51:05 +0000

liquidsoap (2.2.2-2) unstable; urgency=medium

  * Add missing Breaks+Replaces (Closes: #1057058)

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 19 Dec 2023 10:48:42 +0000

liquidsoap (2.2.2-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2

  [ Kyle Robbertze ]
  * Update d/watch to use new upstream artifact naming
  * Move to Dune as the build system
  * Remove old patches now upstreamed or irrelevant
  * New upstream version 2.2.2 (Closes: #1042099)
  * Drop SDL dependency (Closes: #1038078)
  * Add DSSI support
  * Split out documentation into a new package
  * Update d/copyright

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 28 Nov 2023 09:44:39 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
                debhelper (>= 11),
                debhelper-compat (=13),
                dh-elpa,
-               dh-ocaml (>= 1.0.1),
+               dh-ocaml (>= 1.2.2),
                festival,
                fonts-liberation,
+               git,
                libalsa-ocaml-dev (>= 0.2.1) [linux-any],
                libao-ocaml-dev (>= 0.2.0),
                libbjack-ocaml-dev (>= 0.1.3),
@@ -17,31 +18,38 @@
                libcamomile-ocaml-dev (>= 1.0.0),
                libcry-ocaml-dev (>= 0.6.0),
                libcurl-ocaml-dev (>= 0.9.2),
+               libdssi-ocaml-dev,
                libdtools-ocaml-dev (>= 0.4.1),
+               libdune-ocaml-dev,
                libduppy-ocaml-dev (>= 0.8.0),
                libfaad-ocaml-dev (>= 0.5.0),
                libffmpeg-ocaml-dev (>= 1.0.0),
+               libfileutils-ocaml-dev,
                libflac-ocaml-dev (>= 0.3.0),
                libfrei0r-ocaml-dev (>= 0.1.0),
                libgavl-ocaml-dev (>= 0.1.4),
-               libgd-ocaml-dev | libgd-gd2-noxpm-ocaml-dev,
-               libgstreamer-ocaml-dev (>= 0.3.0),
+               libgd-ocaml-dev (>= 1.0~alpha5.git20220521.bb52fb2),
                libinotify-ocaml-dev (>= 1.0) [linux-any],
                libladspa-ocaml-dev (>= 0.1.4),
-               liblastfm-ocaml-dev (>= 0.3.0),
                liblo-ocaml-dev (>= 0.2.0),
                libmad-ocaml-dev (>= 0.1.4),
+               libmagic-mime-ocaml-dev,
                libmagic-ocaml-dev (>= 0.6),
                libmenhir-ocaml-dev,
-               libmm-ocaml-dev (>= 0.7.0),
+               libmetadata-ocaml-dev,
+               libmm-ocaml-dev (>= 0.8.5-4),
                libmp3lame-ocaml-dev (>= 0.3.2),
                libogg-ocaml-dev (>= 0.7.0),
                libopus-ocaml-dev (>= 0.2.0),
                libpcre-ocaml-dev,
+               libppx-enumerate-ocaml-dev,
+               libppx-hash-ocaml-dev,
+               libppx-sexp-conv-ocaml-dev,
+               libppx-string-ocaml-dev,
+               libbitstring-ocaml-dev,
                libportaudio-ocaml-dev (>= 0.2.0),
                libpulse-ocaml-dev (>= 0.1.2),
                libsamplerate-ocaml-dev (>= 0.1.1),
-               libsdl-ocaml-dev,
                libsedlex-ocaml-dev (>= 2.0),
                libshine-ocaml-dev (>= 0.2.0),
                libsoundtouch-ocaml-dev (>= 0.1.7),
@@ -57,10 +65,12 @@
                libyojson-ocaml-dev,
                menhir,
                ocaml (>= 4.08),
+               ocaml-dune (>= 2.8.0),
                ocaml-findlib,
                pandoc,
                sox
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
 Homepage: https://www.liquidsoap.info/
@@ -77,7 +87,11 @@
          ${perl:Depends},
          ${shlibs:Depends}
 Recommends: logrotate, vorbis-tools, vorbisgain
-Suggests: festival, icecast2, mplayer, yt-dlp
+Suggests: festival,
+          icecast2,
+          mplayer,
+          yt-dlp,
+          liquidsoap-docs
 Provides: ${ocaml:Provides}
 Description: audio streaming language
  Liquidsoap is a powerful tool for building complex audio streaming systems,
@@ -112,3 +126,21 @@
  .
  This package provides an (X)Emacs mode which makes it easier to edit
  Liquidsoap source code.
+
+Package: liquidsoap-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Breaks: liquidsoap (<< 2.2.2)
+Replaces: liquidsoap (<< 2.2.2)
+Suggests: liquidsoap
+Depends: ${misc:Depends}
+Description: Documentation for Liquidsoap
+ Liquidsoap is a powerful tool for building complex audio streaming systems,
+ typically targeting internet radios (e.g. icecast streams).
+ .
+ It consists of a simple script language, in which you can create, combine and
+ transform audio sources. Its design makes liquidsoap flexible and easily
+ extensible.
+ .
+ This package contains the documentation for using Liquidsoap

## liquidsoap 2.3.0

=== debian/changelog ===
liquidsoap (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0 (Closes: #1072432, #1077110, #1064128)
  * Bump Standards-Version to 4.7.0 (no change)
  * Re-enable lastfm support
  * Configure cache directory
  * Refresh patches

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 11 Jan 2025 10:40:00 +0000

=== debian/control ===
--- 
+++ 
@@ -11,65 +11,64 @@
                festival,
                fonts-liberation,
                git,
-               libalsa-ocaml-dev (>= 0.2.1) [linux-any],
+               js-of-ocaml (>= 5.7.2),
+               libalsa-ocaml-dev (>= 0.3.0) [linux-any],
                libao-ocaml-dev (>= 0.2.0),
                libbjack-ocaml-dev (>= 0.1.3),
                libcamlimages-ocaml-dev (>= 4.0.1-6),
-               libcamomile-ocaml-dev (>= 1.0.0),
-               libcry-ocaml-dev (>= 0.6.0),
+               libcamomile-ocaml-dev (>= 2.0.0),
+               libcry-ocaml-dev (>= 1.0.3),
                libcurl-ocaml-dev (>= 0.9.2),
-               libdssi-ocaml-dev,
-               libdtools-ocaml-dev (>= 0.4.1),
+               libdssi-ocaml-dev (>= 0.1.3),
+               libdtools-ocaml-dev (>= 0.4.5),
                libdune-ocaml-dev,
-               libduppy-ocaml-dev (>= 0.8.0),
+               libduppy-ocaml-dev (>= 0.9.4),
                libfaad-ocaml-dev (>= 0.5.0),
-               libffmpeg-ocaml-dev (>= 1.0.0),
+               libffmpeg-ocaml-dev (>= 1.2.0),
                libfileutils-ocaml-dev,
                libflac-ocaml-dev (>= 0.3.0),
                libfrei0r-ocaml-dev (>= 0.1.0),
-               libgavl-ocaml-dev (>= 0.1.4),
                libgd-ocaml-dev (>= 1.0~alpha5.git20220521.bb52fb2),
+               libgraphics-ocaml-dev,
                libinotify-ocaml-dev (>= 1.0) [linux-any],
-               libladspa-ocaml-dev (>= 0.1.4),
+               libladspa-ocaml-dev (>= 0.2.0),
+               liblastfm-ocaml-dev (>= 0.3.4),
                liblo-ocaml-dev (>= 0.2.0),
-               libmad-ocaml-dev (>= 0.1.4),
+               libmad-ocaml-dev (>= 0.5.0),
                libmagic-mime-ocaml-dev,
                libmagic-ocaml-dev (>= 0.6),
+               libmem-usage-ocaml-dev (>= 0.1.1),
                libmenhir-ocaml-dev,
-               libmetadata-ocaml-dev,
+               libmetadata-ocaml-dev (>= 0.3.0),
                libmm-ocaml-dev (>= 0.8.5-4),
-               libmp3lame-ocaml-dev (>= 0.3.2),
-               libogg-ocaml-dev (>= 0.7.0),
+               libmp3lame-ocaml-dev (>= 0.3.7),
+               libogg-ocaml-dev (>= 0.7.4),
                libopus-ocaml-dev (>= 0.2.0),
-               libpcre-ocaml-dev,
+               libportaudio-ocaml-dev (>= 0.2.0),
                libppx-enumerate-ocaml-dev,
                libppx-hash-ocaml-dev,
                libppx-sexp-conv-ocaml-dev,
                libppx-string-ocaml-dev,
-               libbitstring-ocaml-dev,
-               libportaudio-ocaml-dev (>= 0.2.0),
-               libpulse-ocaml-dev (>= 0.1.2),
-               libsamplerate-ocaml-dev (>= 0.1.1),
-               libsedlex-ocaml-dev (>= 2.0),
+               libpulse-ocaml-dev (>= 0.1.4),
+               libre-ocaml-dev (>= 1.11.0),
+               libsamplerate-ocaml-dev (>= 0.1.5),
+               libsaturn-lockfree-ocaml-dev (>= 0.4.1),
+               libsedlex-ocaml-dev (>= 3.2),
                libshine-ocaml-dev (>= 0.2.0),
-               libsoundtouch-ocaml-dev (>= 0.1.7),
+               libsoundtouch-ocaml-dev (>= 0.1.9),
                libspeex-ocaml-dev (>= 0.4.0),
-               libssl-ocaml-dev (>= 0.5.2),
-               libtaglib-ocaml-dev (>= 0.3.0),
+               libssl-ocaml-dev (>= 0.7.0),
                libtheora-ocaml-dev (>= 0.4.0),
                liburi-ocaml-dev,
-               libvoaacenc-ocaml-dev,
                libvorbis-ocaml-dev (>= 0.8.0),
-               libxml-dom-perl,
                libxmlplaylist-ocaml-dev (>= 0.1.3),
-               libyojson-ocaml-dev,
-               menhir,
-               ocaml (>= 4.08),
-               ocaml-dune (>= 2.8.0),
+               menhir (>= 2.1),
+               ocaml (>= 4.14),
+               ocaml-dune (>= 3.6.0),
                ocaml-findlib,
                pandoc,
-               sox
-Standards-Version: 4.6.2
+               python3-pandoc-include
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
@@ -81,17 +80,12 @@
          curl,
          libcamomile-ocaml-data (>= 1.0.0),
          ocaml-base,
-         sox,
          ${misc:Depends},
          ${ocaml:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
 Recommends: logrotate, vorbis-tools, vorbisgain
-Suggests: festival,
-          icecast2,
-          mplayer,
-          yt-dlp,
-          liquidsoap-docs
+Suggests: festival, icecast2, liquidsoap-docs, mplayer, yt-dlp
 Provides: ${ocaml:Provides}
 Description: audio streaming language
  Liquidsoap is a powerful tool for building complex audio streaming systems,
